Dynamo For Revit: 创建镂空圆柱面

如何使用Dynamo For Revit 创建一个镂空圆柱面?
效果如下:
效果图

右击在新的标签页打开更加清楚。(已经对节点进行分组并加了注释)
如何使用Dynamo For Revit 创建一个镂空圆柱面?
Python 节点中的代码(求输入的表面中面积最大的一个):

import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *
#The inputs to this node will be stored as a list in the IN variables.
dataEnteringNode = IN
surfaces = IN[0]

index = 0;
maxArea = 0.0;
maxIndex = 0;
for surface in surfaces:
	if surface.Area > maxArea:
		maxArea = surface.Area
		maxIndex = index
	index = index + 1
		
#Assign your output to the OUT variable.
OUT = maxIndex
发布了33 篇原创文章 · 获赞 12 · 访问量 9596

猜你喜欢

转载自blog.csdn.net/weixin_44153630/article/details/86992879